DRM_MODE_SET_CRTCINF(9)

NAME
drm_mode_set_crtcinfo - set CRTC modesetting timing parameters

SYNOPSIS

void drm_mode_set_crtcinfo(struct drm_display_mode * p, int adjust_flags);

ARGUMENTS

p
    mode

adjust_flags
    a combination of adjustment flags

DESCRIPTION

Setup the CRTC modesetting timing parameters for p, adjusting if necessary.

- The CRTC_INTERLACE_HALVE_V flag can be used to halve vertical timings of interlaced modes. - The CRTC_STEREO_DOUBLE flag can be used to compute the timings for buffers containing two eyes (only adjust the timings when needed, eg. for “frame packing” or “side by side full”).

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT